//
//  ContentView.swift
//  userDefaults
//
//  Created by Pete Keleher on 10/4/21.
//

import SwiftUI

struct DefaultsView: View {
    @EnvironmentObject private var model: ResourcesModel
    
    var body: some View {
        HStack {
            List(1...model.maxVal, id:\.self) {
                i in Text("\(i)")
            }
            
            VStack {
                Button("Add") {
                    model.setMax(model.maxVal + 1)
                }.padding()
                let d = model.data
                if d.a != 0 {
                    Text("\(d.a), \(d.b)")
                        .frame(width: 100, height: 50)
                } else {
                    Spacer()
                        .frame(width: 100, height: 50)
                }
                Button("Reset") {
                    model.reset()
                }
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        DefaultsView().environmentObject(ResourcesModel())
    }
}
